Package ghidra.app.plugin.processors.sleigh.expression

# Class ConstantValue

java.lang.Object
ghidra.app.plugin.processors.sleigh.expression.PatternExpression
ghidra.app.plugin.processors.sleigh.expression.PatternValue
ghidra.app.plugin.processors.sleigh.expression.ConstantValue

public class ConstantValue extends PatternValue
A constant value associated with an alwaysTrue pattern

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConstantValue()`
  `ConstantValue(long b)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `long`
  `getValue()`
  `long`
  `getValue(ParserWalker walker)`
  `int`
  `hashCode()`
  `long`
  `maxValue()`
  `long`
  `minValue()`
  `void`
  `restoreXml(XmlPullParser parser, SleighLanguage lang)`
  `String`
  `toString()`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.expression.PatternExpression

  `restoreExpression`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConstantValue

    public ConstantValue()

  - ### ConstantValue

    public ConstantValue(long b)

- ## Method Details

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### minValue

    public long minValue()
    Specified by:
      `minValue` in class `PatternValue`

  - ### maxValue

    public long maxValue()
    Specified by:
      `maxValue` in class `PatternValue`

  - ### getValue

    public long getValue(ParserWalker walker) throws MemoryAccessException
    Specified by:
      `getValue` in class `PatternExpression`
    Throws:
      `MemoryAccessException`

  - ### getValue

    public long getValue()

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, SleighLanguage lang)
    Specified by:
      `restoreXml` in class `PatternExpression`

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `PatternExpression`